import type { Toc } from "../../../../core/toc";
import type { GraphInfo as MarkdownGraphInfo } from "../../../../core/markdown";
import type { GraphInfo as LeadingGraphInfo } from "../../../../core/leading";
import type { EntryInfo, Run } from "../..";
import type { EntryData, PageData, PageState } from './types';
import type { Template } from "../../../../core/template";
import { Graph, VFile } from "../../../../core/utils";
export declare class EntryService {
    readonly relations: Graph<MarkdownGraphInfo | LeadingGraphInfo>;
    private run;
    private config;
    constructor(run: Run);
    dump(path: NormalizedPath, entry?: EntryData): Promise<VFile<EntryData, EntryInfo>>;
    release(path: NormalizedPath, from?: NormalizedPath): void;
    state(path: NormalizedPath, data: PageData): Promise<PageState>;
    page(template: Template, state: PageState, toc: Toc): Promise<string>;
    isSource(path: NormalizedPath): boolean;
    isResource(path: NormalizedPath): boolean;
    private load;
    private getService;
}
